Skip to main content
GET
Get Transaction

Headers

X-API-KEY
string
required

API key required for authentication

Path Parameters

walletLocator
string
required

A wallet locator can be of the format:

  • <walletAddress>
  • email:<email>:<walletType>
  • userId:<userId>:<walletType>
  • userId:<userId>:<walletType> (white label user example)
  • phoneNumber:<phoneNumber>:<walletType>
  • twitter:<handle>:<walletType>
  • x:<handle>:<walletType>
transactionId
string
required

Response

The transaction has been successfully retrieved.

Complete transaction response including status, signing requirements, and wallet type specific data

walletType
enum<string>
required

The type of wallet that created this transaction

Available options:
evm-smart-wallet
params
object
required

EVM smart wallet transaction parameters

onChain
EVM smart wallet transaction data · object
required

EVM smart wallet transaction data including input parameters and chain specific details

id
string
required

Unique identifier for the transaction

status
enum<string>
required

Current status of the transaction

Available options:
awaiting-approval,
pending,
failed,
success
createdAt
number
required

ISO timestamp when the transaction was created

Example:

"2024-01-01T00:00:00.000Z"

approvals
object

Complete approval data including requirements, pending and submitted signatures

completedAt
number

ISO timestamp when the transaction reached finality

Example:

"2024-01-01T00:00:00.000Z"

error
object

Error message if the transaction fails after submission

sendParams
object